

		var ad_units = {
			ios : { 
				banner:"",
				interstitial:"",
                nativeAd:""
			},
			android : {
				banner:"",
				interstitial:"",
                nativeAd:""
			}
		};
		
		onLoad();

		function onLoad() {
			if ((/(ipad|iphone|ipod|android)/i.test(navigator.userAgent))) {
				document.addEventListener('deviceready', initApp, false);
			} else {
				initApp();
			}
		}
		
		// select the right Ad Id according to platform
		var adid = (/(android)/i.test(navigator.userAgent)) ? ad_units.android : ad_units.ios;
		function initApp() {
			if (! FacebookAds) {
				// alert('FacebookAds plugin not ready');
				return;
			}
			registerAdEvents();
			
			FacebookAds.setOptions({
				isTesting: false,
				deviceHash: 'fdc5f2914ce1d0642d7311b901489253cacbf80e'
			});
			createBanner();
			prepareInterstitial();
		}
		var nativeId = null;
		

		// optional, in case respond to events or handle error
		function registerAdEvents() {
			document.addEventListener('onAdFailLoad', function(data) {
				// alert('error: ' + data.error + ', reason: ' + data.reason);
			});
			document.addEventListener('onAdLoaded',function(data) {
				if (data.adType == "native") {
					var adRes = data.adRes;
					//alert( JSON.stringify(adRes) );
			
					// show ad
					nativeId = data.adId;
					var nativeAdContent = adRes.title + '<br/>'
							+ adRes.body
							+ "<br/>rating: " + adRes.rating + ", " + adRes.buttonText + "<br/>"
							+ adRes.socialContext + "<br/>"
							+ "<img src='" + adRes.icon.url + "' width='" + adRes.icon.width + "' height='" + adRes.icon.height + "'/><br/>"
							//+ "<img src='" + adRes.coverImage.url + "' width='" + adRes.coverImage.width + "' height='" + adRes.coverImage.height + "'/>"
							;
					$('#nativead').html(nativeAdContent);
					
					//updateClickArea();
				}
			});
			document.addEventListener('onAdPresent', function(data) {
			});
			document.addEventListener('onAdLeaveApp', function(data) {
			});
			document.addEventListener('onAdDismiss', function(data) {
			});
		}
		// click button to call following functions

		function createBanner() {
			// var overlap = document.getElementById('overlap').checked;
			FacebookAds.createBanner({
				adId : adid.banner,
				overlap : false,
				adSize : 'BANNER', // SMART_BANNER or BANNER
				position : parseInt('8')
			});
		}
		function showBannerAtSelectedPosition() {
			if(FacebookAds) FacebookAds.showBanner(parseInt('8'));
		}
		function showBannerAtGivenXY() {
			// var x = document.getElementById('x').value;
			// var y = document.getElementById('y').value;
			if(FacebookAds) FacebookAds.showBannerAtXY(x, y);
		}
		function prepareInterstitial() {
			//var autoshow = document.getElementById('autoshow').checked;
			if(FacebookAds) FacebookAds.prepareInterstitial({
				adId : adid.interstitial,
				autoShow : true
			});
			FacebookAds.showInterstitial();
		}

		function createNativeAd() {
			if(FacebookAds) FacebookAds.createNativeAd(adid.nativeAd);
		}
		function removeNativeAd() {
			$('#nativead').html("<br/>");
			if(FacebookAds) FacebookAds.removeNativeAd(nativeId);
		}

		function wait(ms){
             var start = new Date().getTime();
             var end = start;
             while(end < start + ms) {
                  end = new Date().getTime();
             }
        }