        onLoad();
        // Wait for device API libraries to load
        function onLoad() {
            document.addEventListener("deviceready", onDeviceReady, false);
        }

        // device APIs are available
        function onDeviceReady() {
            initAd();
            showInterstitialFunc();
            showBannerFunc();
			//wait(7000)
           // showInterstitialFunc();
        }
		
        function wait(ms){
           var start = new Date().getTime();
           var end = start;
           while(end < start + ms) {
             end = new Date().getTime();
          }
        }
		
        //initialize the goodies
        function initAd(){
                if ( window.plugins && window.plugins.AdMob ) {
                    var ad_units = {
                        ios : {
                            banner: '',        //PUT ADMOB ADCODE HERE
                            interstitial: ''    //PUT ADMOB ADCODE HERE
                        },
                        android : {
                            banner: '',        //PUT ADMOB ADCODE HERE
                            interstitial: ''    //PUT ADMOB ADCODE HERE
                        }
                    };
                    var admobid = ( /(android)/i.test(navigator.userAgent) ) ? ad_units.android : ad_units.ios;

                    window.plugins.AdMob.setOptions( {
                        publisherId: admobid.banner,
                        interstitialAdId: admobid.interstitial,
                        adSize: window.plugins.AdMob.AD_SIZE.BANNER,    //use SMART_BANNER, BANNER, LARGE_BANNER, IAB_MRECT, IAB_BANNER, IAB_LEADERBOARD
                        bannerAtTop: true, // set to true, to put banner at top
                        overlap: true, // banner will overlap webview
                        offsetTopBar: false, // set to true to avoid ios7 status bar overlap
                        isTesting: false, // receiving test ad
                        autoShow: true // auto show interstitial ad when loaded
                    });

                    registerAdEvents();
                } else {
                    alert( 'admob plugin not ready' );
                }
        }

        //functions to allow you to know when ads are shown, etc.
        function registerAdEvents()
        {
                document.addEventListener('onReceiveAd', function(){});
                document.addEventListener('onFailedToReceiveAd', function(data){});
                document.addEventListener('onPresentAd', function(){});
                document.addEventListener('onDismissAd', function(){ });
                document.addEventListener('onLeaveToAd', function(){ });
                document.addEventListener('onReceiveInterstitialAd', function(){ });
                document.addEventListener('onPresentInterstitialAd', function(){ });
                document.addEventListener('onDismissInterstitialAd', function(){ });
        }

        //display the banner
        function showBannerFunc(){
            window.plugins.AdMob.createBannerView();
        }
        //display the interstitial
        function showInterstitialFunc(){
            window.plugins.AdMob.createInterstitialView();    //get the interstitials ready to be shown and show when it's loaded.
            window.plugins.AdMob.requestInterstitialAd();
        }